This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 10770 - Should it really be OK to have timestamps with trailing garbage like <00:01.500b0rk>?
Summary: Should it really be OK to have timestamps with trailing garbage like <00:01.5...
Status: CLOSED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-27 14:52 UTC by contributor
Modified: 2012-07-18 18:41 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2010-09-27 14:52:14 UTC
Section: http://www.whatwg.org/specs/web-apps/current-work/complete.html#websrt-cue-text-parsing-rules

Comment:
Should it really be OK to have timestamps with trailing garbage like
<00:01.500b0rk>?

Posted from: 83.218.67.122
Comment 1 Philip J├Ągenstedt 2010-09-27 14:54:23 UTC
This is about the Otherwise branch of the "If token is a start tag" section of the WebSRT cue text parser.

Since there is no check of the position after successfully collecting a WebSRT timestamp, something like <00:01.500b0rk> will slip through, which probably isn't intended.
Comment 2 Ian 'Hixie' Hickson 2010-09-29 18:50:42 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 3 contributor 2010-09-29 18:51:46 UTC
Checked in as WHATWG revision r5559.
Check-in comment: disallow trailing garbage in timestamps
http://html5.org/tools/web-apps-tracker?from=5558&to=5559